curl "https://xenarch.dev/v1/sites/b2c3d4e5.../transactions?period=7d&status=paid&page=1&per_page=20" \
-H "Authorization: Bearer xk_pub_abc123..."
{
"transactions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"path": "<string>",
"amount_usd": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"type": "gate",
"agent_name": "<string>"
}
],
"total": 123,
"page": 123,
"per_page": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Sites
Get Transactions
Paginated x402 USDC transaction history for a publisher site — agent wallet, amount, timestamp, and gate URL per on-chain transaction.
GET
/
v1
/
sites
/
{site_id}
/
transactions
curl "https://xenarch.dev/v1/sites/b2c3d4e5.../transactions?period=7d&status=paid&page=1&per_page=20" \
-H "Authorization: Bearer xk_pub_abc123..."
{
"transactions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"path": "<string>",
"amount_usd": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"type": "gate",
"agent_name": "<string>"
}
],
"total": 123,
"page": 123,
"per_page": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}curl "https://xenarch.dev/v1/sites/b2c3d4e5.../transactions?period=7d&status=paid&page=1&per_page=20" \
-H "Authorization: Bearer xk_pub_abc123..."
Query parameters
| Parameter | Values | Default |
|---|---|---|
period | 24h, 7d, 30d, all | all |
status | paid, blocked, withdraw, all | all |
page | Integer | 1 |
per_page | Integer | 20 |
Headers
Path Parameters
Query Parameters
Pattern:
^(24h|7d|30d|all)$Pattern:
^(paid|blocked|withdraw|all)$Required range:
x >= 1Required range:
1 <= x <= 100